%set_perl_req_method relaxed
# BEGIN SourceDeps(oneline):
BuildRequires: perl(IO/Select.pm) perl(Module/Build.pm) perl(Module/Build/Compat.pm) perl(Readonly.pm) perl(Sub/Exporter.pm) perl(Test/Block.pm) perl(Test/Exception.pm) perl(Test/NoWarnings.pm) perl(Test/Warn.pm) perl(Text/Diff.pm) perl(Tree/Trie.pm)
# END SourceDeps(oneline)
%define module_name Term-Bash-Completion-Generator
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02.8
Release: alt1
Summary: Generate bash completion scripts
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NK/NKH/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Generate bash completion functions or perl scripts to dynamically provide completion for an application.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes Todo.txt
%perl_vendor_privlib/T*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Tue Feb 26 2019 Igor Vlasenko <viy@altlinux.ru> 0.02.8-alt1
- initial import by package builder

